[Bug 264578] release/tools/vmimage.subr has no error handling for pkg failures
Date: Fri, 10 Jun 2022 01:25:18 UTC
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=264578
--- Comment #5 from Ed Maste <emaste@freebsd.org> ---
I tested a build with three changes
1) change from comment #1
2) set -e in mk-vmimage.sh
diff --git a/release/scripts/mk-vmimage.sh b/release/scripts/mk-vmimage.sh
index d5985ceb0d25..d1cde2727edc 100755
--- a/release/scripts/mk-vmimage.sh
+++ b/release/scripts/mk-vmimage.sh
@@ -93,6 +93,9 @@ main() {
. "${VMCONFIG}"
fi
+ # Bail if any of the VM image creation steps fail
+ set -e
+
vm_create_base
vm_install_base
vm_extra_install_base
3) switch to latest for arm64, https://reviews.freebsd.org/D35445
and the image built successfully.
--
You are receiving this mail because:
You are the assignee for the bug.